Library Version 11.2.5.3

Db::get_heap_regionsize()
Prev | Chapter 2. The Db Handle | Next

## Db::get_heap_regionsize()

    #include <db_cxx.h>

    int
    Db::get_heap_regionsize(u_int32_t *npagesp);

Used when the underlying database is configured to use the Heap access method. This method returns the number of pages in a region. This value may be set using the Db::set_heap_regionsize() method.

The `Db::get_heap_regionsize()` method may be called at any time during the life of the application.

The `Db::get_heap_regionsize()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### npagesp

The npagesp parameter references memory into which is copied the number of pages in a region.

### Class

Db

### See Also

Database and Related Methods, Db::set_heap_regionsize()

Prev | Up | Next
Db::get_heapsize() | Home | Db::get_lk_exclusive()